{% extends "base.html" %}

{% block nav %}
<ul>
    {% if request.user.is_authenticated %}
        <li><a href="{% url "logout" %}">Logout</a></li>
        <li><a href="{% url "create_receipt" %}">Create Receipt</a></li>
        <li><a href="{% url "create_category" %}">Create Category</a></li>
        <li><a href="{% url "create_account" %}">Create Account</a></li>
        <li><a href="{% url "category_list" %}">Categories</a></li>
        <li><a href="{% url "account_list" %}">Accounts</a></li>
    {% else %}
        <li><a href="{% url "signup" %}">Signup</a></li>
        <li><a href="{% url "login" %}">Login</a></li>
    {% endif %}
</ul>
{% endblock nav %}

{% block main %}
<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Number of Receipts</th>
        </tr>
    </thead>
    <tbody>
        {% for category in category_list %}
        <tr>
            <td>{{ category.name }}</td>
            <td>{{ category.items.count }}</td>
        </tr>
        {% endfor %}
    </tbody>
</table>
{% endblock main %}
